Skip to main content
GET
/
v2
/
telematics
/
trailer-locations
List Trailer Locations
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/trailer-locations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_name": "ada",
      "source_id": "<string>",
      "source_data_hash": "<string>",
      "fleet_ref": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "tsp_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tsp_slug": "<string>",
      "source_data": {},
      "occurred_at": "2023-11-07T05:31:56Z",
      "execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "extras": {},
      "trailer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_trailer_id": "<string>",
      "source_vehicle_id": "<string>",
      "vehicle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "location": {
        "type": "<string>",
        "coordinates": {
          "[0]": 123,
          "[1]": 123
        },
        "bbox": {
          "[0]": 123,
          "[1]": 123,
          "[2]": 123,
          "[3]": 123
        }
      },
      "h3_index_11": 123,
      "inferred_address": {
        "city": "<string>",
        "province": "<string>",
        "country_code": "<string>"
      }
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

When only_latest=true, the from_datetime and to_datetime query parameters are not applied. Only the most recent location per trailer is returned regardless of the date range specified.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

only_latest
boolean
default:true

If true, only the latest known location per trailer is returned.

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

from_datetime
string<date-time>

Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-04-28T17:07:41.639883Z"

to_datetime
string<date-time>

Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-04-29T17:07:41.640014Z"

trailer_ids
string<uuid>[] | null

Limit results to specific trailers. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?trailer_ids=id1&trailer_ids=id2).

Maximum array length: 100
vehicle_ids
string<uuid>[] | null

Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).

Maximum array length: 100
include_source_data
boolean
default:false

Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
TrailerLocationRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page